'==========================================================================
'
'
' NAME: <ListComputerUsingParticularService.vbs>
'
' AUTHOR: Ed Wilson , MS
' DATE  : 8/14/2006
'
' COMMENT: <Reports  using win32_Service class>
'1. will list all services using a particular startup account.
'==========================================================================

Option Explicit 
'On Error Resume Next
dim strComputer
dim wmiNS
dim wmiQuery
dim objWMIService
Dim objLocator
dim colItems
dim objItem
Dim strUsr, strPWD, strLocl, strAuth, iFLag 'connect server parameters
Dim colNamedArguments 'WshNamed object
Dim strName 'service Name

subCheckCscript	 'check to see if running in cscript
	Set colNamedArguments = WScript.Arguments.Named
	strComputer = colNamedArguments("c")
	strName = colNamedArguments("s") 'the service name
subCheckArguments

wmiNS = "\root\cimv2"

wmiQuery = "Select name,state from win32_Service where Name = '" & strName & "'"
strUsr = colNamedArguments("u") '""'Blank for current security. Domain\Username
strPWD = colNamedArguments("p") '""'Blank for current security.
strLocl = "" '"MS_409" 'US English. Can leave blank for current language
strAuth = ""'if specify domain in strUsr this must be blank
iFlag = "0" 'only two values allowed here: 0 (wait for connection) 128 (wait max two min)

Set objLocator = CreateObject("WbemScripting.SWbemLocator")
Set objWMIService = objLocator.ConnectServer(strComputer, _
	 wmiNS, strUsr, strPWD, strLocl, strAuth, iFLag)

Select Case strName
Case "a"
wmiQuery = "Select name,state from win32_Service"
Case "r"
wmiQuery = "Select name,state from win32_Service where state = 'running'"
Case "s"
wmiQuery = "Select name,state from win32_Service where state = 'stopped'"
Case Else
wmiQuery = "Select name,state from win32_Service where Name = '" & strName & "'"
End Select

Set colItems = objWMIService.ExecQuery(wmiQuery)
For Each objItem in colItems
	If objItem.state = "Running" Then
	   Wscript.Echo "Service: " & objItem.name & " is running on " & strComputer
	Else
		WScript.Echo "Service: " & objItem.name & " is not running on " & strComputer
	End If 
Next


' *** subs are below ***
Sub subCheckCscript
If UCase(Right(Wscript.FullName, 11)) = "WSCRIPT.EXE" Then
    Wscript.Echo "This script must be run under CScript"
    WScript.Quit
End If
end Sub

Sub subCheckArguments

If colNamedArguments.Count < 6 Then
	If colNamedArguments.Exists("?") Then 
		WScript.Echo "Uses win32_Service to identify a running service" _
	& VbCrLf & "This script can take arguments. It will identify a computer running a service"_
	& VbCrLf & "If you supply the script with a list of computer names, then it will check each" _
	& VbCrLf & "computer to see if it is running a particular service. This is useful from both" _
	& VbCrLf & "a security and an administrative perspective. This script can run local or remote" _
	& VbCrLf & "The service name to query is the registered name NOT the friendly name. As an " _
	& VbCrLf & "example: the server service is registered as lanmanserver" _
	& VbCrLf & "Alternate credentials can ONLY be supplied for remote connections" _
	& VbCrLf & "Try this: cscript " & WScript.ScriptName & " [/s:serviceName, a(all),r(running),s(stopped)] [/c:computername]" _
	& " [/u:domainName\UserName] [/p:password]" _
	& VbCrLf & vbTab & "Example: cscript " & WScript.ScriptName & " /s:alerter" _
	& VbCrLf & vbTab & "Displays the status of the alerter service on local machine." _
	& VbCrLf & vbTab & "Example: cscript " & WScript.ScriptName & " /s:alerter /c:london" _
	& VbCrLf & vbTab & "/u:nwtraders\myUser /p:myPassword" _
	& VbCrLf & vbTab & "Displays the status of the alterter service on a remote machine" _
	& VbCrLf & vbTab & "called London. Connects using myUser account from NWTraders domain." _
	& VbCrLf & vbTab & "the password supplied for the connection is myPassword" _
	& VbCrLf & vbTab & "Example: cscript " & WScript.ScriptName & " /s:r" _
	& VbCrLf & vbTab & "Displays list of all running services on local machine." _
	& VbCrLf & vbTab & "Example: cscript " & WScript.ScriptName & " /s:s" _
	& VbCrLf & vbTab & "Displays list of all stopped services on local machine." 
	WScript.Quit
	End If
	If Not colNamedArguments.Exists("c") Then
		WScript.Echo "Executing on Local Machine only"
		strComputer = "localHost"
	End If 
	If Not colNamedArguments.Exists("u") Then
		WScript.Echo "Executing using current user name"
		strUsr = ""
	End If 
	If Not colNamedArguments.Exists("p") Then
		WScript.Echo "Executing using current user password"
		strPWD = ""
	End If 
	If Not colNamedArguments.Exists("s") Then
		WScript.Echo "Using Defaults: status of all services"
		WScript.Echo "To see help try this: cscript ",WScript.ScriptName, " /?"
		strName = "a"
	End If 
End If
If colNamedArguments.Count = 0 Then
	Exit Sub
End If
End Sub
'' SIG '' Begin signature block
'' SIG '' MIIlaAYJKoZIhvcNAQcCoIIlWTCCJVUCAQExCzAJBgUr
'' SIG '' DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
'' SIG '' gjcCAR4wJAIBAQQQTvApFpkntU2P5azhDxfrqwIBAAIB
'' SIG '' AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFHQk9bXR6BYy
'' SIG '' 9tE4Jn0g1FvncMRuoIIgDTCCBBIwggL6oAMCAQICDwDB
'' SIG '' AIs8PIgR0T72Y+zfQDANBgkqhkiG9w0BAQQFADBwMSsw
'' SIG '' KQYDVQQLEyJDb3B5cmlnaHQgKGMpIDE5OTcgTWljcm9z
'' SIG '' b2Z0IENvcnAuMR4wHAYDVQQLExVNaWNyb3NvZnQgQ29y
'' SIG '' cG9yYXRpb24xITAfBgNVBAMTGE1pY3Jvc29mdCBSb290
'' SIG '' IEF1dGhvcml0eTAeFw05NzAxMTAwNzAwMDBaFw0yMDEy
'' SIG '' MzEwNzAwMDBaMHAxKzApBgNVBAsTIkNvcHlyaWdodCAo
'' SIG '' YykgMTk5NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsT
'' SIG '' FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMY
'' SIG '' TWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5MIIBIjANBgkq
'' SIG '' hkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqQK9wXDmO/JO
'' SIG '' Gyifl3heMOqiqY0lX/j+lUyjt/6doiA+fFGim6KPYDJr
'' SIG '' 0UJkee6sdslU2vLrnIYcj5+EZrPFa3piI9YdPN4PAZLo
'' SIG '' lsS/LWaammgmmdA6LL8MtVgmwUbnCj44liypKDmo7EmD
'' SIG '' QuOED7uabFVhrIJ8oWAtd0zpmbRkO5pQHDEIJBSfqeeR
'' SIG '' KxjmPZhjFGBYBWWfHTdSh/en75QCxhvTv1VFs4mAvzrs
'' SIG '' VJROrv2nem10Tq8YzJYJKCEAV5BgaTe7SxIHPFb/W/uk
'' SIG '' ZgoIptKBVlfvtjteFoF3BNr2vq6Alf6wzX/WpxpyXDzK
'' SIG '' vPAIoyIwswaFybMgdxOF3wIDAQABo4GoMIGlMIGiBgNV
'' SIG '' HQEEgZowgZeAEFvQcO9pcp4jUX4Usk2O/8uhcjBwMSsw
'' SIG '' KQYDVQQLEyJDb3B5cmlnaHQgKGMpIDE5OTcgTWljcm9z
'' SIG '' b2Z0IENvcnAuMR4wHAYDVQQLExVNaWNyb3NvZnQgQ29y
'' SIG '' cG9yYXRpb24xITAfBgNVBAMTGE1pY3Jvc29mdCBSb290
'' SIG '' IEF1dGhvcml0eYIPAMEAizw8iBHRPvZj7N9AMA0GCSqG
'' SIG '' SIb3DQEBBAUAA4IBAQCV6AvAjfOXGDXtuAEk2HcR81xg
'' SIG '' Mp+eC8s+BZGIj8k65iHy8FeTLLWgR8hi7/zXzDs7Wqk2
'' SIG '' VGn+JG0/ycyq3gV83TGNPZ8QcGq7/hJPGGnA/NBD4xFa
'' SIG '' IE/qYnuvqhnIKzclLb5loRKKJQ9jo/dUHPkhydYV81Ks
'' SIG '' bkMyB/2CF/jlZ2wNUfa98VLHvefEMPwgMQmIHZUpGk3V
'' SIG '' HQKl8YDgA7Rb9LHdyFfuZUnHUlS2tAMoEv+Q1vAIj364
'' SIG '' l8WrNyzkeuSod+N2oADQaj/B0jaK4EESqDVqG2rbNeHU
'' SIG '' HATkqEUEyFozOG5NHA1itwqijNPVVD9GzRxVpnDbEjqH
'' SIG '' k3Wfp9KgMIIEEjCCAvqgAwIBAgIPAMEAizw8iBHRPvZj
'' SIG '' 7N9AMA0GCSqGSIb3DQEBBAUAMHAxKzApBgNVBAsTIkNv
'' SIG '' cHlyaWdodCAoYykgMTk5NyBNaWNyb3NvZnQgQ29ycC4x
'' SIG '' HjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEh
'' SIG '' MB8GA1UEAxMYTWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5
'' SIG '' MB4XDTk3MDExMDA3MDAwMFoXDTIwMTIzMTA3MDAwMFow
'' SIG '' cDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1p
'' SIG '' Y3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0
'' SIG '' IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQg
'' SIG '' Um9vdCBBdXRob3JpdHkwggEiMA0GCSqGSIb3DQEBAQUA
'' SIG '' A4IBDwAwggEKAoIBAQCpAr3BcOY78k4bKJ+XeF4w6qKp
'' SIG '' jSVf+P6VTKO3/p2iID58UaKboo9gMmvRQmR57qx2yVTa
'' SIG '' 8uuchhyPn4Rms8VremIj1h083g8BkuiWxL8tZpqaaCaZ
'' SIG '' 0Dosvwy1WCbBRucKPjiWLKkoOajsSYNC44QPu5psVWGs
'' SIG '' gnyhYC13TOmZtGQ7mlAcMQgkFJ+p55ErGOY9mGMUYFgF
'' SIG '' ZZ8dN1KH96fvlALGG9O/VUWziYC/OuxUlE6u/ad6bXRO
'' SIG '' rxjMlgkoIQBXkGBpN7tLEgc8Vv9b+6RmCgim0oFWV++2
'' SIG '' O14WgXcE2va+roCV/rDNf9anGnJcPMq88AijIjCzBoXJ
'' SIG '' syB3E4XfAgMBAAGjgagwgaUwgaIGA1UdAQSBmjCBl4AQ
'' SIG '' W9Bw72lyniNRfhSyTY7/y6FyMHAxKzApBgNVBAsTIkNv
'' SIG '' cHlyaWdodCAoYykgMTk5NyBNaWNyb3NvZnQgQ29ycC4x
'' SIG '' HjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEh
'' SIG '' MB8GA1UEAxMYTWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5
'' SIG '' gg8AwQCLPDyIEdE+9mPs30AwDQYJKoZIhvcNAQEEBQAD
'' SIG '' ggEBAJXoC8CN85cYNe24ASTYdxHzXGAyn54Lyz4FkYiP
'' SIG '' yTrmIfLwV5MstaBHyGLv/NfMOztaqTZUaf4kbT/JzKre
'' SIG '' BXzdMY09nxBwarv+Ek8YacD80EPjEVogT+pie6+qGcgr
'' SIG '' NyUtvmWhEoolD2Oj91Qc+SHJ1hXzUqxuQzIH/YIX+OVn
'' SIG '' bA1R9r3xUse958Qw/CAxCYgdlSkaTdUdAqXxgOADtFv0
'' SIG '' sd3IV+5lScdSVLa0AygS/5DW8AiPfriXxas3LOR65Kh3
'' SIG '' 43agANBqP8HSNorgQRKoNWobats14dQcBOSoRQTIWjM4
'' SIG '' bk0cDWK3CqKM09VUP0bNHFWmcNsSOoeTdZ+n0qAwggSd
'' SIG '' MIIDhaADAgECAgphR1K6AAAAAAAEMA0GCSqGSIb3DQEB
'' SIG '' BQUAMHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNo
'' SIG '' aW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQK
'' SIG '' ExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xIzAhBgNVBAMT
'' SIG '' Gk1pY3Jvc29mdCBUaW1lc3RhbXBpbmcgUENBMB4XDTA2
'' SIG '' MDkxNjAxNTMwMFoXDTExMDkxNjAyMDMwMFowgaYxCzAJ
'' SIG '' BgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
'' SIG '' DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3Nv
'' SIG '' ZnQgQ29ycG9yYXRpb24xJzAlBgNVBAsTHm5DaXBoZXIg
'' SIG '' RFNFIEVTTjpEOEE5LUNGQ0MtNTc5QzEnMCUGA1UEAxMe
'' SIG '' TWljcm9zb2Z0IFRpbWVzdGFtcGluZyBTZXJ2aWNlMIIB
'' SIG '' IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAm23c
'' SIG '' hlHoMjs3OpYlss9v7mG1QdIYO1qdeGe6+B/ZCFWSiH7j
'' SIG '' QVP67ChU/rXa/nA7lSdIfkOgMi8mgUryAnZ3yMmp+KIh
'' SIG '' WH4NvQHaJMb+RBEFNToBqOpUCjMsh9J+QbPoCdmwvuOZ
'' SIG '' Jaa8Je3X047b9LdtG0kL5tPDh27uRsl/823r54MeqFNG
'' SIG '' P8okfuZ8ySz7eRQoRcBPNmtTGqeGs+f84cGfUQnbvKW7
'' SIG '' /sqHCfa3Mhm+4UpRvLx8rCyVapdz6nJXoZyLhtibvUv8
'' SIG '' JzPBbTKs4GgY2G46LiJD0fmP7fEAAQ1kwMmj3Q/xyOlU
'' SIG '' yhH/3HgpPh2sWMDb36rcrmUb0528ZwIDAQABo4H4MIH1
'' SIG '' MB0GA1UdDgQWBBRPGImK0soAeMbsWQ0P/XzEwSKA3jAf
'' SIG '' BgNVHSMEGDAWgBRv6E4/l7k0q0uGj7yc6qw7QUPG0DBE
'' SIG '' BgNVHR8EPTA7MDmgN6A1hjNodHRwOi8vY3JsLm1pY3Jv
'' SIG '' c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy90c3BjYS5j
'' SIG '' cmwwSAYIKwYBBQUHAQEEPDA6MDgGCCsGAQUFBzAChixo
'' SIG '' dHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRz
'' SIG '' L3RzcGNhLmNydDATBgNVHSUEDDAKBggrBgEFBQcDCDAO
'' SIG '' BgNVHQ8BAf8EBAMCBsAwDQYJKoZIhvcNAQEFBQADggEB
'' SIG '' ADcnHvWMQOD2ZSY+ZMSQvD7jV4XdQw1AhGe+h6gq2ty0
'' SIG '' NiCYjjN8Ll/gUHthMfMaE96EveppHFh8sxuT4QgngUW2
'' SIG '' 1HDKFLdfulfp1F7QO0Oqtz+22mGLcc/UfdV7br+0ylow
'' SIG '' kd/aCg6jNZ8lYU7AMnQregaUcgCsGJ1L5Z4rxTpUrKRg
'' SIG '' 2Kf3m3/ZqW3tRGu63OAS+vCthwyVYwoyHolOzMx+pzel
'' SIG '' /l/YZ/pGS9FtHad90r4C//NugvOHdMRp5blwzEtlowc1
'' SIG '' qUSehH05bv4UBb0aUCG1Pp/zdxyPwpqdV+FpfWnog88C
'' SIG '' byoiuzczOnL61jAdka32UBrrE946xbdczbMwggSdMIID
'' SIG '' haADAgECAgphR1K6AAAAAAAEMA0GCSqGSIb3DQEBBQUA
'' SIG '' MHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
'' SIG '' dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
'' SIG '' aWNyb3NvZnQgQ29ycG9yYXRpb24xIzAhBgNVBAMTGk1p
'' SIG '' Y3Jvc29mdCBUaW1lc3RhbXBpbmcgUENBMB4XDTA2MDkx
'' SIG '' NjAxNTMwMFoXDTExMDkxNjAyMDMwMFowgaYxCzAJBgNV
'' SIG '' BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
'' SIG '' VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
'' SIG '' Q29ycG9yYXRpb24xJzAlBgNVBAsTHm5DaXBoZXIgRFNF
'' SIG '' IEVTTjpEOEE5LUNGQ0MtNTc5QzEnMCUGA1UEAxMeTWlj
'' SIG '' cm9zb2Z0IFRpbWVzdGFtcGluZyBTZXJ2aWNlMIIBIjAN
'' SIG '' BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAm23chlHo
'' SIG '' Mjs3OpYlss9v7mG1QdIYO1qdeGe6+B/ZCFWSiH7jQVP6
'' SIG '' 7ChU/rXa/nA7lSdIfkOgMi8mgUryAnZ3yMmp+KIhWH4N
'' SIG '' vQHaJMb+RBEFNToBqOpUCjMsh9J+QbPoCdmwvuOZJaa8
'' SIG '' Je3X047b9LdtG0kL5tPDh27uRsl/823r54MeqFNGP8ok
'' SIG '' fuZ8ySz7eRQoRcBPNmtTGqeGs+f84cGfUQnbvKW7/sqH
'' SIG '' Cfa3Mhm+4UpRvLx8rCyVapdz6nJXoZyLhtibvUv8JzPB
'' SIG '' bTKs4GgY2G46LiJD0fmP7fEAAQ1kwMmj3Q/xyOlUyhH/
'' SIG '' 3HgpPh2sWMDb36rcrmUb0528ZwIDAQABo4H4MIH1MB0G
'' SIG '' A1UdDgQWBBRPGImK0soAeMbsWQ0P/XzEwSKA3jAfBgNV
'' SIG '' HSMEGDAWgBRv6E4/l7k0q0uGj7yc6qw7QUPG0DBEBgNV
'' SIG '' HR8EPTA7MDmgN6A1hjNodHRwOi8vY3JsLm1pY3Jvc29m
'' SIG '' dC5jb20vcGtpL2NybC9wcm9kdWN0cy90c3BjYS5jcmww
'' SIG '' SAYIKwYBBQUHAQEEPDA6MDgGCCsGAQUFBzAChixodHRw
'' SIG '' Oi8vd3d3Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRzL3Rz
'' SIG '' cGNhLmNydDATBgNVHSUEDDAKBggrBgEFBQcDCDAOBgNV
'' SIG '' HQ8BAf8EBAMCBsAwDQYJKoZIhvcNAQEFBQADggEBADcn
'' SIG '' HvWMQOD2ZSY+ZMSQvD7jV4XdQw1AhGe+h6gq2ty0NiCY
'' SIG '' jjN8Ll/gUHthMfMaE96EveppHFh8sxuT4QgngUW21HDK
'' SIG '' FLdfulfp1F7QO0Oqtz+22mGLcc/UfdV7br+0ylowkd/a
'' SIG '' Cg6jNZ8lYU7AMnQregaUcgCsGJ1L5Z4rxTpUrKRg2Kf3
'' SIG '' m3/ZqW3tRGu63OAS+vCthwyVYwoyHolOzMx+pzel/l/Y
'' SIG '' Z/pGS9FtHad90r4C//NugvOHdMRp5blwzEtlowc1qUSe
'' SIG '' hH05bv4UBb0aUCG1Pp/zdxyPwpqdV+FpfWnog88Cbyoi
'' SIG '' uzczOnL61jAdka32UBrrE946xbdczbMwggSdMIIDhaAD
'' SIG '' AgECAhBqC5lPwAAlqxHbRR9YemeiMA0GCSqGSIb3DQEB
'' SIG '' BQUAMHAxKzApBgNVBAsTIkNvcHlyaWdodCAoYykgMTk5
'' SIG '' NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsTFU1pY3Jv
'' SIG '' c29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWljcm9z
'' SIG '' b2Z0IFJvb3QgQXV0aG9yaXR5MB4XDTA2MDkxNjAxMDQ0
'' SIG '' N1oXDTE5MDkxNTA3MDAwMFoweTELMAkGA1UEBhMCVVMx
'' SIG '' EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
'' SIG '' ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3Jh
'' SIG '' dGlvbjEjMCEGA1UEAxMaTWljcm9zb2Z0IFRpbWVzdGFt
'' SIG '' cGluZyBQQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
'' SIG '' ggEKAoIBAQDcN277r8hCSnEYyM5IPlPA+qsUuiwyuxJP
'' SIG '' UsiD7T4z2Ukxkii2kWTgH1CEusJL0X8F+O91vovHqNWu
'' SIG '' aXBmeCdm6La374W5ze6q/RKkC1kiKS/PQNlWBBt2tW1k
'' SIG '' bUpU293x3r+fg8eA339MAjeU9cCeCFYeaEfN2cB2XC99
'' SIG '' tiUEtFZbahxj/4B8PO7VBCVNOXd0B13CXNiGNyx1yQ7q
'' SIG '' HjkJfHb+nWxueuDsPo+XnnEOXypPGGJgMp7Sg04rIlxo
'' SIG '' RYveL4QQULL5tRqNbO4lmxP4yxDXhQ70gnZzNsaVeqLM
'' SIG '' YAbsBbCGM7f4lFuEQYRYhZRusB8sSMxvnEPgauh/Jo5r
'' SIG '' AgMBAAGjggEoMIIBJDATBgNVHSUEDDAKBggrBgEFBQcD
'' SIG '' CDCBogYDVR0BBIGaMIGXgBBb0HDvaXKeI1F+FLJNjv/L
'' SIG '' oXIwcDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3
'' SIG '' IE1pY3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9z
'' SIG '' b2Z0IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3Nv
'' SIG '' ZnQgUm9vdCBBdXRob3JpdHmCDwDBAIs8PIgR0T72Y+zf
'' SIG '' QDAQBgkrBgEEAYI3FQEEAwIBADAdBgNVHQ4EFgQUb+hO
'' SIG '' P5e5NKtLho+8nOqsO0FDxtAwGQYJKwYBBAGCNxQCBAwe
'' SIG '' CgBTAHUAYgBDAEEwCwYDVR0PBAQDAgGGMA8GA1UdEwEB
'' SIG '' /wQFMAMBAf8wDQYJKoZIhvcNAQEFBQADggEBAJRNETHC
'' SIG '' fFC7EY6hYQcBDoxwRY3vc1S9PwkFLf+4UVOFHO05kbej
'' SIG '' VgvejLY7G9H7rKfJt7FRIRtvCGl+awOiIkbtbLRtfCK4
'' SIG '' RtOE840PvgeKNsHrfulwXUWfktLMzt2OwOG/Ks187Mmu
'' SIG '' MtWHuctjxDbRGCG/dt47mrMbc54hiNi0tBJUjPScwmVK
'' SIG '' migmnGCKDzvHE2V4SLvPrYM6T7BiWN4w6ek5HeOJ8to5
'' SIG '' gfkTIYxkgGMGBJbymgJDL3tGiLr/Atll+Ure2gN0k7MF
'' SIG '' bgzMndwoYXxI8RecESE4AhyHrAbFljK45UDGUz29qYne
'' SIG '' 6GY3jfQilpzMsHdUUTrWckSyI/YwggTDMIIDr6ADAgEC
'' SIG '' AhBqC5lPwAAdqxHaxAKhZie6MAkGBSsOAwIdBQAwcDEr
'' SIG '' MCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1pY3Jv
'' SIG '' c29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0IENv
'' SIG '' cnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQgUm9v
'' SIG '' dCBBdXRob3JpdHkwHhcNMDYwNDA0MTc0NDE0WhcNMTIw
'' SIG '' NDI2MDcwMDAwWjCBpjELMAkGA1UEBhMCVVMxEzARBgNV
'' SIG '' BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQx
'' SIG '' HjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEr
'' SIG '' MCkGA1UECxMiQ29weXJpZ2h0IChjKSAyMDAwIE1pY3Jv
'' SIG '' c29mdCBDb3JwLjEjMCEGA1UEAxMaTWljcm9zb2Z0IENv
'' SIG '' ZGUgU2lnbmluZyBQQ0EwggEgMA0GCSqGSIb3DQEBAQUA
'' SIG '' A4IBDQAwggEIAoIBAQDDzCCNvN//PlDuesLUJCX2ds4h
'' SIG '' /80qVk7KnLeCsjV5LQDEqAjVY8m3pfbpwcHWsYyWogf6
'' SIG '' D7aCUprrgsa9EMWowO5rhI5TG7tQ+mQBicEW1IJoAEB4
'' SIG '' RPUSOE77Y1Hg+j255Tex32MHIztxQDRH9GuuRvUncx4i
'' SIG '' y0IZHlG2UprTo9ATxhk/cQZt8pUhRF9C7cDJmWQguME0
'' SIG '' /KJE5nuyHS+4pt70od+bIQ/+WDFBVTh+r1jn5OxZeSWr
'' SIG '' 9yovET84eD5Cf6do5H4iaBfmSpLEeERSR6FPhImTm8Bn
'' SIG '' e+oJ+4YDffaZcTwrp2aYzN8t4isCGg80SGX1PBKv8Ycc
'' SIG '' HSZSb8wDAgEDo4IBKjCCASYwEwYDVR0lBAwwCgYIKwYB
'' SIG '' BQUHAwMwgaIGA1UdAQSBmjCBl4AQW9Bw72lyniNRfhSy
'' SIG '' TY7/y6FyMHAxKzApBgNVBAsTIkNvcHlyaWdodCAoYykg
'' SIG '' MTk5NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsTFU1p
'' SIG '' Y3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWlj
'' SIG '' cm9zb2Z0IFJvb3QgQXV0aG9yaXR5gg8AwQCLPDyIEdE+
'' SIG '' 9mPs30AwEgYJKwYBBAGCNxUBBAUCAwMABDAdBgNVHQ4E
'' SIG '' FgQUJfgrS13IclSt5fagKhcW+8H5U4EwGQYJKwYBBAGC
'' SIG '' NxQCBAweCgBTAHUAYgBDAEEwCwYDVR0PBAQDAgFGMA8G
'' SIG '' A1UdEwEB/wQFMAMBAf8wCQYFKw4DAh0FAAOCAQEAY+Pg
'' SIG '' 8wW4sOoLCzTRgjE+iWJF1Qin+WFlyC4D+jhIQc+18ieD
'' SIG '' 0+PFVlOotRnOzObxoPlWtkiURyTlqR/cetT2FnoS2/OQ
'' SIG '' G+wIXbOFkLmMWLsczJXTlZQz9JHe/4ibXktJUDkmOiAb
'' SIG '' VDf8fVwVk8PcHI7wYVI85QftZu957I/OV2NllRhJoHrf
'' SIG '' ZbffJq7+yBK2xqLMxl+LcPPK26uCbgfcZRm5qPaGwglC
'' SIG '' mPEmrGl6scErp7BmH6WvhwhrlxO4sDaZHgWjEzijwKww
'' SIG '' Proh1zCmymISHK9XjeXxehG6XjwMN/GTwZKITgRaBVzH
'' SIG '' z9ap2eF9kXgn+7RupY8GM1ixXioRDzCCBTMwggQboAMC
'' SIG '' AQICCmFGnssABAAAAGUwDQYJKoZIhvcNAQEFBQAwgaYx
'' SIG '' CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9u
'' SIG '' MRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
'' SIG '' b3NvZnQgQ29ycG9yYXRpb24xKzApBgNVBAsTIkNvcHly
'' SIG '' aWdodCAoYykgMjAwMCBNaWNyb3NvZnQgQ29ycC4xIzAh
'' SIG '' BgNVBAMTGk1pY3Jvc29mdCBDb2RlIFNpZ25pbmcgUENB
'' SIG '' MB4XDTA2MDQwNDE5NDM0NloXDTA3MTAwNDE5NTM0Nlow
'' SIG '' dDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0
'' SIG '' b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1p
'' SIG '' Y3Jvc29mdCBDb3Jwb3JhdGlvbjEeMBwGA1UEAxMVTWlj
'' SIG '' cm9zb2Z0IENvcnBvcmF0aW9uMIIBIjANBgkqhkiG9w0B
'' SIG '' AQEFAAOCAQ8AMIIBCgKCAQEAzYGWOK5covLB397Qq5WN
'' SIG '' 1jydH4vDXYYuXfCxcvWrrIhqtdqxInsLyMilS5FeIhPp
'' SIG '' +fUjnbX0bnau7+6kPMfEwFlcP6uzczMmpmKBYXmhYvRu
'' SIG '' iJXQbt3Hn9KkURF2YbpwimWhlhaJp12B0ERm5dtWnkDK
'' SIG '' /Nx2JC5EMADl1n17lRHVWB2j6E8LyYjcotZTmWzKY8qZ
'' SIG '' apqSXkxNEegv01tbXl9So3MtpbuERQ2MGRV2ywjamqZw
'' SIG '' FehN7Gn9XbJrj+0pUTc4i8ZGSRWUUJiw9Gik194JcWd0
'' SIG '' nneMHYVrl+rnX0XM4OZxDdFjAJN7MZiOC7QTvbPQ7vHf
'' SIG '' Ie6pYGHuN0M9wwIDAQABo4IBkjCCAY4wDgYDVR0PAQH/
'' SIG '' BAQDAgbAMB0GA1UdDgQWBBTu2WupdVPNT+4bThkGHqOc
'' SIG '' q8+U/TATBgNVHSUEDDAKBggrBgEFBQcDAzCBqQYDVR0j
'' SIG '' BIGhMIGegBQl+CtLXchyVK3l9qAqFxb7wflTgaF0pHIw
'' SIG '' cDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1p
'' SIG '' Y3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0
'' SIG '' IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQg
'' SIG '' Um9vdCBBdXRob3JpdHmCEGoLmU/AAB2rEdrEAqFmJ7ow
'' SIG '' SwYDVR0fBEQwQjBAoD6gPIY6aHR0cDovL2NybC5taWNy
'' SIG '' b3NvZnQuY29tL3BraS9jcmwvcHJvZHVjdHMvQ29kZVNp
'' SIG '' Z25QQ0EyLmNybDBPBggrBgEFBQcBAQRDMEEwPwYIKwYB
'' SIG '' BQUHMAKGM2h0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9w
'' SIG '' a2kvY2VydHMvQ29kZVNpZ25QQ0EyLmNydDANBgkqhkiG
'' SIG '' 9w0BAQUFAAOCAQEAONnvlTibXJgUXVRuad8CyOez+9PC
'' SIG '' Ta0vq39UDdoytvhq5g37IRp3PqVoerSVfopc8kPEg5tl
'' SIG '' fYhQUXyCFPWDc9eivlzKAnDOJmwXvFIUpYnAt+ShzKF1
'' SIG '' nZFxPRvAVgBWtfiEJtpeM/vWJXpemtqm+/TyQRqsVUat
'' SIG '' SNyROBNYCUnx8zGHH7wEjlsSZQPpC1HQoQyKmb3ZwajQ
'' SIG '' CBUlIbW2V4kc0VuGNaXK/aqH7Kk3P7dDa+Mg8UW8fq7p
'' SIG '' 8VWyoUi8Zb5TNNnJ6AZjBAZ4blD/SLub6kNah9utCoD1
'' SIG '' WcUs5OV/W0rlMnnuIoWSDC2zUFvGwkBYWKvSzeMvwc3s
'' SIG '' bZ83eTGCBMcwggTDAgEBMIG1MIGmMQswCQYDVQQGEwJV
'' SIG '' UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
'' SIG '' UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
'' SIG '' cmF0aW9uMSswKQYDVQQLEyJDb3B5cmlnaHQgKGMpIDIw
'' SIG '' MDAgTWljcm9zb2Z0IENvcnAuMSMwIQYDVQQDExpNaWNy
'' SIG '' b3NvZnQgQ29kZSBTaWduaW5nIFBDQQIKYUaeywAEAAAA
'' SIG '' ZTAJBgUrDgMCGgUAoIHEMBkGCSqGSIb3DQEJAzEMBgor
'' SIG '' BgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEE
'' SIG '' AYI3AgEVMCMGCSqGSIb3DQEJBDEWBBQAFeCyUbZlSWu6
'' SIG '' NTEog2wn7kpZtDBkBgorBgEEAYI3AgEMMVYwVKAsgCoA
'' SIG '' TQBpAGMAcgBvAHMAbwBmAHQAIABDAG8AcgBwAG8AcgBh
'' SIG '' AHQAaQBvAG6hJIAiaHR0cDovL3d3dy5taWNyb3NvZnQu
'' SIG '' Y29tL2xlYXJuaW5nIDANBgkqhkiG9w0BAQEFAASCAQA1
'' SIG '' EGtbTTTTGf05JIbeuitYGD6SkGsEPlV/Fdezkx78INUg
'' SIG '' vQHzf+bpEZt9GWcy4cP+Uo+OY1VwjHPG6sGWP9vdHanZ
'' SIG '' 9i+1AqqqAvUVGgoVjMaduFXWwcYStG9hXDZA/o9tIIYc
'' SIG '' MdD2RARtGV5/NCgmGxa64lRKb+iA+NSDBYx+o3vf/iOF
'' SIG '' sgzBXAmTddVZADkVDT20zd6t5bT4efAkJBhL9zYM4Lwm
'' SIG '' hdnuqlAHgmJYwNIXMIEJVSdGb4oQmFJ2+PSx7zouKdK2
'' SIG '' itUh2LQ6bS5fP6ojTRrmdTSOblgC25FeS3z+4nZACsTi
'' SIG '' cLeFIx8RHPdJGrJii7PL3znCAoIGp1dKoYICHzCCAhsG
'' SIG '' CSqGSIb3DQEJBjGCAgwwggIIAgEBMIGHMHkxCzAJBgNV
'' SIG '' BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
'' SIG '' VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
'' SIG '' Q29ycG9yYXRpb24xIzAhBgNVBAMTGk1pY3Jvc29mdCBU
'' SIG '' aW1lc3RhbXBpbmcgUENBAgphR1K6AAAAAAAEMAcGBSsO
'' SIG '' AwIaoF0wGAYJKoZIhvcNAQkDMQsGCSqGSIb3DQEHATAc
'' SIG '' BgkqhkiG9w0BCQUxDxcNMDcwMjIyMjE1MTAwWjAjBgkq
'' SIG '' hkiG9w0BCQQxFgQUA54pzEGfd1a5psp+T3fpobQqE7Mw
'' SIG '' DQYJKoZIhvcNAQEFBQAEggEABBHxj47YdKDpgSyMETXE
'' SIG '' VuWaZY7etpsJl1j+ukiPAkDnBvhYuLxNlpxI6n3D8a1x
'' SIG '' mAhrqeb0eeVUltQZGLeRkMp8NXdril8goiwfWCiAB+yS
'' SIG '' oDGQSBswvoKlN56/ClZ5g4KKR4xhN4AcltpUXeVGK20h
'' SIG '' SfqZ4xOKL3Qz52tvyVVxY8nqYrJcLQlH8OgP34j1gV32
'' SIG '' SrCggnwK99oYnPlPCfei1w/EJEzTG6j0VuNOv1lZQgMg
'' SIG '' Cy/lmwvkhKhmJbDVHVLxTre5cPjt7LDrOmjavEz3mhyQ
'' SIG '' 0Wr/kEvMj9NUkak1HjFc+i6/jKOAR6I2aBNSbghKCnha
'' SIG '' LfjpocssP/R3sg==
'' SIG '' End signature block
