'==========================================================================
'
' NAME: <PublishSharedFolderInActiveDirectory.vbs>
'
' AUTHOR: Ed Wilson , MS
' DATE  : 6/13/2006
' ver. 2.0 added cmd line checking, arguments, and help
' COMMENT: <Uses adsi to Create a published share in Active directory>
'1. This uses the create method to create a volume in active directory.
'2. You will need to assign values for strOU, strDomain to make the connection
'3. into active directory. You will also need to supply the four values For
'4. the share: strUNC, strDescrioption, aryKeyWords, and strManagedBy. Note 
'5. that strManagedBy is the distinguished name of the manager and will need to
'6. be specifically enabled in the script by editing the line. 
'==========================================================================
Option Explicit
On Error Resume Next
Dim strProvider 'defines how will talk. 
Dim strOU ' path to where new object will be created
Dim strDomain 'name of domain connecting to
Dim objComputer
Dim objShare 'holds connection to adsi
Dim strUNC 		'UNC path to the share
Dim strManagedBY 'Distinguished name of manager
Dim strDescription 'description of the share
Dim aryKeyWords			'array of keywords associated with share
Dim colNamedArguments
Dim strFolderINPUT

subCheckCscript	 'check to see if running in cscript
Set colNamedArguments = WScript.Arguments.Named

strProvider = "LDAP://"
strOU = funFix(colNamedArguments("O")) '"ou=mred")
strDomain = colNamedArguments("D") '"dc=nwtraders,dc=msft"
strUNC = colNamedArguments("S") '"\\London\HRShare"
strDescription = colNamedArguments("C") '"Public share for users in the HR group."
aryKeyWords = Array(colNamedArguments("K")) 'Array("HR", "Policy", "Hiring") 
'strManagedBy = "cn=myDirect1,ou=mred,dc=nwtraders,dc=msft"

subCheckArguments 'check for the presence of command line arguments

Set objComputer = GetObject(strProvider  & strOU & strDomain)
Set objShare = objComputer.Create("volume", funFixShare(strUNC))
objShare.Put "uNCName", strUNC
'objShare.Put "Managedby", strManagedby
objShare.Put "Description", strDescription
objShare.Put "Keywords", aryKeyWords
objShare.SetInfo

If Err.Number = 0 then
WScript.Echo "Share " & strUNC & " was published to AD:",_
	strOU & strDomain
Else
WScript.echo "an error occurred. it was: " & Err.Number
End If

' ***** Subs and functions below *******
Sub subCheckCscript
If UCase(Right(Wscript.FullName, 11)) = "WSCRIPT.EXE" Then
    Wscript.Echo "This script must be run under CScript"
    WScript.Quit
End If
end Sub

Sub subCheckArguments
WScript.Echo "checking arguments ... "
If colNamedArguments.Count < 5 Then
	If colNamedArguments.Exists("?") Then 
		WScript.Echo "Try something like this: ",WScript.ScriptName, _
		"/O:OU=myOU /D:dc=nwtraders,dc=msft /S:\\serverName\shareName" _
		& VbCrLf & "Arguments are: /O:ouName /D:domainName /S:shareName" _
	  &	"[/C:comments] [/K:keywords]"
	WScript.Quit
	End If
	If Not colNamedArguments.exists("O") Then
		WScript.Echo "You must supply OU to publish folder." & VbCrLf &_
			"Try something like this: ",WScript.ScriptName," /O:ou=myOU"
		WScript.Quit
	End If
	
	If Not colNamedArguments.exists("D") Then
		WScript.Echo "You must supply domain name to publish folder" & VbCrLf &_
			"Try something like this: ",WScript.ScriptName," /D:dc=nwtraders,dc=msft"
		WScript.Quit
	End If
	
	If Not colNamedArguments.exists("S") Then
		WScript.Echo "You must supply share name to publish folder" & VbCrLf &_
			"Try something like this: ",WScript.ScriptName,"/S:\\serverName\shareName"" "
		WScript.Quit
	End If
	
	If Not colNamedArguments.exists("C") Then
		WScript.Echo "No comment specified" 
			strDescription = "No comment"		
	End If
	
	If Not colNamedArguments.exists("K") Then
		WScript.Echo "No KeyWords specified" 
		aryKeyWords = Array("Specified","Words","Key","No")		
	End If
	
End If
End Sub

function funfix(strIN)
funfix = strIN & ","
End Function

Function funFixShare(strIN)
funFixShare = InStrRev(strIN,"\")
funFixShare = Mid(strIN,funFixShare+1)
funFixShare = "CN="&funFixShare
End function
'' SIG '' Begin signature block
'' SIG '' MIIlaAYJKoZIhvcNAQcCoIIlWTCCJVUCAQExCzAJBgUr
'' SIG '' DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
'' SIG '' gjcCAR4wJAIBAQQQTvApFpkntU2P5azhDxfrqwIBAAIB
'' SIG '' AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFGu+1zOQw2Rm
'' SIG '' fQdOf4xGqfwkc7TgoIIgDTCCBBIwggL6oAMCAQICDwDB
'' SIG '' AIs8PIgR0T72Y+zfQDANBgkqhkiG9w0BAQQFADBwMSsw
'' SIG '' KQYDVQQLEyJDb3B5cmlnaHQgKGMpIDE5OTcgTWljcm9z
'' SIG '' b2Z0IENvcnAuMR4wHAYDVQQLExVNaWNyb3NvZnQgQ29y
'' SIG '' cG9yYXRpb24xITAfBgNVBAMTGE1pY3Jvc29mdCBSb290
'' SIG '' IEF1dGhvcml0eTAeFw05NzAxMTAwNzAwMDBaFw0yMDEy
'' SIG '' MzEwNzAwMDBaMHAxKzApBgNVBAsTIkNvcHlyaWdodCAo
'' SIG '' YykgMTk5NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsT
'' SIG '' FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMY
'' SIG '' TWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5MIIBIjANBgkq
'' SIG '' hkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqQK9wXDmO/JO
'' SIG '' Gyifl3heMOqiqY0lX/j+lUyjt/6doiA+fFGim6KPYDJr
'' SIG '' 0UJkee6sdslU2vLrnIYcj5+EZrPFa3piI9YdPN4PAZLo
'' SIG '' lsS/LWaammgmmdA6LL8MtVgmwUbnCj44liypKDmo7EmD
'' SIG '' QuOED7uabFVhrIJ8oWAtd0zpmbRkO5pQHDEIJBSfqeeR
'' SIG '' KxjmPZhjFGBYBWWfHTdSh/en75QCxhvTv1VFs4mAvzrs
'' SIG '' VJROrv2nem10Tq8YzJYJKCEAV5BgaTe7SxIHPFb/W/uk
'' SIG '' ZgoIptKBVlfvtjteFoF3BNr2vq6Alf6wzX/WpxpyXDzK
'' SIG '' vPAIoyIwswaFybMgdxOF3wIDAQABo4GoMIGlMIGiBgNV
'' SIG '' HQEEgZowgZeAEFvQcO9pcp4jUX4Usk2O/8uhcjBwMSsw
'' SIG '' KQYDVQQLEyJDb3B5cmlnaHQgKGMpIDE5OTcgTWljcm9z
'' SIG '' b2Z0IENvcnAuMR4wHAYDVQQLExVNaWNyb3NvZnQgQ29y
'' SIG '' cG9yYXRpb24xITAfBgNVBAMTGE1pY3Jvc29mdCBSb290
'' SIG '' IEF1dGhvcml0eYIPAMEAizw8iBHRPvZj7N9AMA0GCSqG
'' SIG '' SIb3DQEBBAUAA4IBAQCV6AvAjfOXGDXtuAEk2HcR81xg
'' SIG '' Mp+eC8s+BZGIj8k65iHy8FeTLLWgR8hi7/zXzDs7Wqk2
'' SIG '' VGn+JG0/ycyq3gV83TGNPZ8QcGq7/hJPGGnA/NBD4xFa
'' SIG '' IE/qYnuvqhnIKzclLb5loRKKJQ9jo/dUHPkhydYV81Ks
'' SIG '' bkMyB/2CF/jlZ2wNUfa98VLHvefEMPwgMQmIHZUpGk3V
'' SIG '' HQKl8YDgA7Rb9LHdyFfuZUnHUlS2tAMoEv+Q1vAIj364
'' SIG '' l8WrNyzkeuSod+N2oADQaj/B0jaK4EESqDVqG2rbNeHU
'' SIG '' HATkqEUEyFozOG5NHA1itwqijNPVVD9GzRxVpnDbEjqH
'' SIG '' k3Wfp9KgMIIEEjCCAvqgAwIBAgIPAMEAizw8iBHRPvZj
'' SIG '' 7N9AMA0GCSqGSIb3DQEBBAUAMHAxKzApBgNVBAsTIkNv
'' SIG '' cHlyaWdodCAoYykgMTk5NyBNaWNyb3NvZnQgQ29ycC4x
'' SIG '' HjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEh
'' SIG '' MB8GA1UEAxMYTWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5
'' SIG '' MB4XDTk3MDExMDA3MDAwMFoXDTIwMTIzMTA3MDAwMFow
'' SIG '' cDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1p
'' SIG '' Y3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0
'' SIG '' IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQg
'' SIG '' Um9vdCBBdXRob3JpdHkwggEiMA0GCSqGSIb3DQEBAQUA
'' SIG '' A4IBDwAwggEKAoIBAQCpAr3BcOY78k4bKJ+XeF4w6qKp
'' SIG '' jSVf+P6VTKO3/p2iID58UaKboo9gMmvRQmR57qx2yVTa
'' SIG '' 8uuchhyPn4Rms8VremIj1h083g8BkuiWxL8tZpqaaCaZ
'' SIG '' 0Dosvwy1WCbBRucKPjiWLKkoOajsSYNC44QPu5psVWGs
'' SIG '' gnyhYC13TOmZtGQ7mlAcMQgkFJ+p55ErGOY9mGMUYFgF
'' SIG '' ZZ8dN1KH96fvlALGG9O/VUWziYC/OuxUlE6u/ad6bXRO
'' SIG '' rxjMlgkoIQBXkGBpN7tLEgc8Vv9b+6RmCgim0oFWV++2
'' SIG '' O14WgXcE2va+roCV/rDNf9anGnJcPMq88AijIjCzBoXJ
'' SIG '' syB3E4XfAgMBAAGjgagwgaUwgaIGA1UdAQSBmjCBl4AQ
'' SIG '' W9Bw72lyniNRfhSyTY7/y6FyMHAxKzApBgNVBAsTIkNv
'' SIG '' cHlyaWdodCAoYykgMTk5NyBNaWNyb3NvZnQgQ29ycC4x
'' SIG '' HjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEh
'' SIG '' MB8GA1UEAxMYTWljcm9zb2Z0IFJvb3QgQXV0aG9yaXR5
'' SIG '' gg8AwQCLPDyIEdE+9mPs30AwDQYJKoZIhvcNAQEEBQAD
'' SIG '' ggEBAJXoC8CN85cYNe24ASTYdxHzXGAyn54Lyz4FkYiP
'' SIG '' yTrmIfLwV5MstaBHyGLv/NfMOztaqTZUaf4kbT/JzKre
'' SIG '' BXzdMY09nxBwarv+Ek8YacD80EPjEVogT+pie6+qGcgr
'' SIG '' NyUtvmWhEoolD2Oj91Qc+SHJ1hXzUqxuQzIH/YIX+OVn
'' SIG '' bA1R9r3xUse958Qw/CAxCYgdlSkaTdUdAqXxgOADtFv0
'' SIG '' sd3IV+5lScdSVLa0AygS/5DW8AiPfriXxas3LOR65Kh3
'' SIG '' 43agANBqP8HSNorgQRKoNWobats14dQcBOSoRQTIWjM4
'' SIG '' bk0cDWK3CqKM09VUP0bNHFWmcNsSOoeTdZ+n0qAwggSd
'' SIG '' MIIDhaADAgECAgphR1K6AAAAAAAEMA0GCSqGSIb3DQEB
'' SIG '' BQUAMHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNo
'' SIG '' aW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQK
'' SIG '' ExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xIzAhBgNVBAMT
'' SIG '' Gk1pY3Jvc29mdCBUaW1lc3RhbXBpbmcgUENBMB4XDTA2
'' SIG '' MDkxNjAxNTMwMFoXDTExMDkxNjAyMDMwMFowgaYxCzAJ
'' SIG '' BgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
'' SIG '' DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3Nv
'' SIG '' ZnQgQ29ycG9yYXRpb24xJzAlBgNVBAsTHm5DaXBoZXIg
'' SIG '' RFNFIEVTTjpEOEE5LUNGQ0MtNTc5QzEnMCUGA1UEAxMe
'' SIG '' TWljcm9zb2Z0IFRpbWVzdGFtcGluZyBTZXJ2aWNlMIIB
'' SIG '' IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAm23c
'' SIG '' hlHoMjs3OpYlss9v7mG1QdIYO1qdeGe6+B/ZCFWSiH7j
'' SIG '' QVP67ChU/rXa/nA7lSdIfkOgMi8mgUryAnZ3yMmp+KIh
'' SIG '' WH4NvQHaJMb+RBEFNToBqOpUCjMsh9J+QbPoCdmwvuOZ
'' SIG '' Jaa8Je3X047b9LdtG0kL5tPDh27uRsl/823r54MeqFNG
'' SIG '' P8okfuZ8ySz7eRQoRcBPNmtTGqeGs+f84cGfUQnbvKW7
'' SIG '' /sqHCfa3Mhm+4UpRvLx8rCyVapdz6nJXoZyLhtibvUv8
'' SIG '' JzPBbTKs4GgY2G46LiJD0fmP7fEAAQ1kwMmj3Q/xyOlU
'' SIG '' yhH/3HgpPh2sWMDb36rcrmUb0528ZwIDAQABo4H4MIH1
'' SIG '' MB0GA1UdDgQWBBRPGImK0soAeMbsWQ0P/XzEwSKA3jAf
'' SIG '' BgNVHSMEGDAWgBRv6E4/l7k0q0uGj7yc6qw7QUPG0DBE
'' SIG '' BgNVHR8EPTA7MDmgN6A1hjNodHRwOi8vY3JsLm1pY3Jv
'' SIG '' c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy90c3BjYS5j
'' SIG '' cmwwSAYIKwYBBQUHAQEEPDA6MDgGCCsGAQUFBzAChixo
'' SIG '' dHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRz
'' SIG '' L3RzcGNhLmNydDATBgNVHSUEDDAKBggrBgEFBQcDCDAO
'' SIG '' BgNVHQ8BAf8EBAMCBsAwDQYJKoZIhvcNAQEFBQADggEB
'' SIG '' ADcnHvWMQOD2ZSY+ZMSQvD7jV4XdQw1AhGe+h6gq2ty0
'' SIG '' NiCYjjN8Ll/gUHthMfMaE96EveppHFh8sxuT4QgngUW2
'' SIG '' 1HDKFLdfulfp1F7QO0Oqtz+22mGLcc/UfdV7br+0ylow
'' SIG '' kd/aCg6jNZ8lYU7AMnQregaUcgCsGJ1L5Z4rxTpUrKRg
'' SIG '' 2Kf3m3/ZqW3tRGu63OAS+vCthwyVYwoyHolOzMx+pzel
'' SIG '' /l/YZ/pGS9FtHad90r4C//NugvOHdMRp5blwzEtlowc1
'' SIG '' qUSehH05bv4UBb0aUCG1Pp/zdxyPwpqdV+FpfWnog88C
'' SIG '' byoiuzczOnL61jAdka32UBrrE946xbdczbMwggSdMIID
'' SIG '' haADAgECAgphR1K6AAAAAAAEMA0GCSqGSIb3DQEBBQUA
'' SIG '' MHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
'' SIG '' dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
'' SIG '' aWNyb3NvZnQgQ29ycG9yYXRpb24xIzAhBgNVBAMTGk1p
'' SIG '' Y3Jvc29mdCBUaW1lc3RhbXBpbmcgUENBMB4XDTA2MDkx
'' SIG '' NjAxNTMwMFoXDTExMDkxNjAyMDMwMFowgaYxCzAJBgNV
'' SIG '' BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
'' SIG '' VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
'' SIG '' Q29ycG9yYXRpb24xJzAlBgNVBAsTHm5DaXBoZXIgRFNF
'' SIG '' IEVTTjpEOEE5LUNGQ0MtNTc5QzEnMCUGA1UEAxMeTWlj
'' SIG '' cm9zb2Z0IFRpbWVzdGFtcGluZyBTZXJ2aWNlMIIBIjAN
'' SIG '' BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAm23chlHo
'' SIG '' Mjs3OpYlss9v7mG1QdIYO1qdeGe6+B/ZCFWSiH7jQVP6
'' SIG '' 7ChU/rXa/nA7lSdIfkOgMi8mgUryAnZ3yMmp+KIhWH4N
'' SIG '' vQHaJMb+RBEFNToBqOpUCjMsh9J+QbPoCdmwvuOZJaa8
'' SIG '' Je3X047b9LdtG0kL5tPDh27uRsl/823r54MeqFNGP8ok
'' SIG '' fuZ8ySz7eRQoRcBPNmtTGqeGs+f84cGfUQnbvKW7/sqH
'' SIG '' Cfa3Mhm+4UpRvLx8rCyVapdz6nJXoZyLhtibvUv8JzPB
'' SIG '' bTKs4GgY2G46LiJD0fmP7fEAAQ1kwMmj3Q/xyOlUyhH/
'' SIG '' 3HgpPh2sWMDb36rcrmUb0528ZwIDAQABo4H4MIH1MB0G
'' SIG '' A1UdDgQWBBRPGImK0soAeMbsWQ0P/XzEwSKA3jAfBgNV
'' SIG '' HSMEGDAWgBRv6E4/l7k0q0uGj7yc6qw7QUPG0DBEBgNV
'' SIG '' HR8EPTA7MDmgN6A1hjNodHRwOi8vY3JsLm1pY3Jvc29m
'' SIG '' dC5jb20vcGtpL2NybC9wcm9kdWN0cy90c3BjYS5jcmww
'' SIG '' SAYIKwYBBQUHAQEEPDA6MDgGCCsGAQUFBzAChixodHRw
'' SIG '' Oi8vd3d3Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRzL3Rz
'' SIG '' cGNhLmNydDATBgNVHSUEDDAKBggrBgEFBQcDCDAOBgNV
'' SIG '' HQ8BAf8EBAMCBsAwDQYJKoZIhvcNAQEFBQADggEBADcn
'' SIG '' HvWMQOD2ZSY+ZMSQvD7jV4XdQw1AhGe+h6gq2ty0NiCY
'' SIG '' jjN8Ll/gUHthMfMaE96EveppHFh8sxuT4QgngUW21HDK
'' SIG '' FLdfulfp1F7QO0Oqtz+22mGLcc/UfdV7br+0ylowkd/a
'' SIG '' Cg6jNZ8lYU7AMnQregaUcgCsGJ1L5Z4rxTpUrKRg2Kf3
'' SIG '' m3/ZqW3tRGu63OAS+vCthwyVYwoyHolOzMx+pzel/l/Y
'' SIG '' Z/pGS9FtHad90r4C//NugvOHdMRp5blwzEtlowc1qUSe
'' SIG '' hH05bv4UBb0aUCG1Pp/zdxyPwpqdV+FpfWnog88Cbyoi
'' SIG '' uzczOnL61jAdka32UBrrE946xbdczbMwggSdMIIDhaAD
'' SIG '' AgECAhBqC5lPwAAlqxHbRR9YemeiMA0GCSqGSIb3DQEB
'' SIG '' BQUAMHAxKzApBgNVBAsTIkNvcHlyaWdodCAoYykgMTk5
'' SIG '' NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsTFU1pY3Jv
'' SIG '' c29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWljcm9z
'' SIG '' b2Z0IFJvb3QgQXV0aG9yaXR5MB4XDTA2MDkxNjAxMDQ0
'' SIG '' N1oXDTE5MDkxNTA3MDAwMFoweTELMAkGA1UEBhMCVVMx
'' SIG '' EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1Jl
'' SIG '' ZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3Jh
'' SIG '' dGlvbjEjMCEGA1UEAxMaTWljcm9zb2Z0IFRpbWVzdGFt
'' SIG '' cGluZyBQQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
'' SIG '' ggEKAoIBAQDcN277r8hCSnEYyM5IPlPA+qsUuiwyuxJP
'' SIG '' UsiD7T4z2Ukxkii2kWTgH1CEusJL0X8F+O91vovHqNWu
'' SIG '' aXBmeCdm6La374W5ze6q/RKkC1kiKS/PQNlWBBt2tW1k
'' SIG '' bUpU293x3r+fg8eA339MAjeU9cCeCFYeaEfN2cB2XC99
'' SIG '' tiUEtFZbahxj/4B8PO7VBCVNOXd0B13CXNiGNyx1yQ7q
'' SIG '' HjkJfHb+nWxueuDsPo+XnnEOXypPGGJgMp7Sg04rIlxo
'' SIG '' RYveL4QQULL5tRqNbO4lmxP4yxDXhQ70gnZzNsaVeqLM
'' SIG '' YAbsBbCGM7f4lFuEQYRYhZRusB8sSMxvnEPgauh/Jo5r
'' SIG '' AgMBAAGjggEoMIIBJDATBgNVHSUEDDAKBggrBgEFBQcD
'' SIG '' CDCBogYDVR0BBIGaMIGXgBBb0HDvaXKeI1F+FLJNjv/L
'' SIG '' oXIwcDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3
'' SIG '' IE1pY3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9z
'' SIG '' b2Z0IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3Nv
'' SIG '' ZnQgUm9vdCBBdXRob3JpdHmCDwDBAIs8PIgR0T72Y+zf
'' SIG '' QDAQBgkrBgEEAYI3FQEEAwIBADAdBgNVHQ4EFgQUb+hO
'' SIG '' P5e5NKtLho+8nOqsO0FDxtAwGQYJKwYBBAGCNxQCBAwe
'' SIG '' CgBTAHUAYgBDAEEwCwYDVR0PBAQDAgGGMA8GA1UdEwEB
'' SIG '' /wQFMAMBAf8wDQYJKoZIhvcNAQEFBQADggEBAJRNETHC
'' SIG '' fFC7EY6hYQcBDoxwRY3vc1S9PwkFLf+4UVOFHO05kbej
'' SIG '' VgvejLY7G9H7rKfJt7FRIRtvCGl+awOiIkbtbLRtfCK4
'' SIG '' RtOE840PvgeKNsHrfulwXUWfktLMzt2OwOG/Ks187Mmu
'' SIG '' MtWHuctjxDbRGCG/dt47mrMbc54hiNi0tBJUjPScwmVK
'' SIG '' migmnGCKDzvHE2V4SLvPrYM6T7BiWN4w6ek5HeOJ8to5
'' SIG '' gfkTIYxkgGMGBJbymgJDL3tGiLr/Atll+Ure2gN0k7MF
'' SIG '' bgzMndwoYXxI8RecESE4AhyHrAbFljK45UDGUz29qYne
'' SIG '' 6GY3jfQilpzMsHdUUTrWckSyI/YwggTDMIIDr6ADAgEC
'' SIG '' AhBqC5lPwAAdqxHaxAKhZie6MAkGBSsOAwIdBQAwcDEr
'' SIG '' MCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1pY3Jv
'' SIG '' c29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0IENv
'' SIG '' cnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQgUm9v
'' SIG '' dCBBdXRob3JpdHkwHhcNMDYwNDA0MTc0NDE0WhcNMTIw
'' SIG '' NDI2MDcwMDAwWjCBpjELMAkGA1UEBhMCVVMxEzARBgNV
'' SIG '' BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQx
'' SIG '' HjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEr
'' SIG '' MCkGA1UECxMiQ29weXJpZ2h0IChjKSAyMDAwIE1pY3Jv
'' SIG '' c29mdCBDb3JwLjEjMCEGA1UEAxMaTWljcm9zb2Z0IENv
'' SIG '' ZGUgU2lnbmluZyBQQ0EwggEgMA0GCSqGSIb3DQEBAQUA
'' SIG '' A4IBDQAwggEIAoIBAQDDzCCNvN//PlDuesLUJCX2ds4h
'' SIG '' /80qVk7KnLeCsjV5LQDEqAjVY8m3pfbpwcHWsYyWogf6
'' SIG '' D7aCUprrgsa9EMWowO5rhI5TG7tQ+mQBicEW1IJoAEB4
'' SIG '' RPUSOE77Y1Hg+j255Tex32MHIztxQDRH9GuuRvUncx4i
'' SIG '' y0IZHlG2UprTo9ATxhk/cQZt8pUhRF9C7cDJmWQguME0
'' SIG '' /KJE5nuyHS+4pt70od+bIQ/+WDFBVTh+r1jn5OxZeSWr
'' SIG '' 9yovET84eD5Cf6do5H4iaBfmSpLEeERSR6FPhImTm8Bn
'' SIG '' e+oJ+4YDffaZcTwrp2aYzN8t4isCGg80SGX1PBKv8Ycc
'' SIG '' HSZSb8wDAgEDo4IBKjCCASYwEwYDVR0lBAwwCgYIKwYB
'' SIG '' BQUHAwMwgaIGA1UdAQSBmjCBl4AQW9Bw72lyniNRfhSy
'' SIG '' TY7/y6FyMHAxKzApBgNVBAsTIkNvcHlyaWdodCAoYykg
'' SIG '' MTk5NyBNaWNyb3NvZnQgQ29ycC4xHjAcBgNVBAsTFU1p
'' SIG '' Y3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWlj
'' SIG '' cm9zb2Z0IFJvb3QgQXV0aG9yaXR5gg8AwQCLPDyIEdE+
'' SIG '' 9mPs30AwEgYJKwYBBAGCNxUBBAUCAwMABDAdBgNVHQ4E
'' SIG '' FgQUJfgrS13IclSt5fagKhcW+8H5U4EwGQYJKwYBBAGC
'' SIG '' NxQCBAweCgBTAHUAYgBDAEEwCwYDVR0PBAQDAgFGMA8G
'' SIG '' A1UdEwEB/wQFMAMBAf8wCQYFKw4DAh0FAAOCAQEAY+Pg
'' SIG '' 8wW4sOoLCzTRgjE+iWJF1Qin+WFlyC4D+jhIQc+18ieD
'' SIG '' 0+PFVlOotRnOzObxoPlWtkiURyTlqR/cetT2FnoS2/OQ
'' SIG '' G+wIXbOFkLmMWLsczJXTlZQz9JHe/4ibXktJUDkmOiAb
'' SIG '' VDf8fVwVk8PcHI7wYVI85QftZu957I/OV2NllRhJoHrf
'' SIG '' ZbffJq7+yBK2xqLMxl+LcPPK26uCbgfcZRm5qPaGwglC
'' SIG '' mPEmrGl6scErp7BmH6WvhwhrlxO4sDaZHgWjEzijwKww
'' SIG '' Proh1zCmymISHK9XjeXxehG6XjwMN/GTwZKITgRaBVzH
'' SIG '' z9ap2eF9kXgn+7RupY8GM1ixXioRDzCCBTMwggQboAMC
'' SIG '' AQICCmFGnssABAAAAGUwDQYJKoZIhvcNAQEFBQAwgaYx
'' SIG '' CzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9u
'' SIG '' MRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
'' SIG '' b3NvZnQgQ29ycG9yYXRpb24xKzApBgNVBAsTIkNvcHly
'' SIG '' aWdodCAoYykgMjAwMCBNaWNyb3NvZnQgQ29ycC4xIzAh
'' SIG '' BgNVBAMTGk1pY3Jvc29mdCBDb2RlIFNpZ25pbmcgUENB
'' SIG '' MB4XDTA2MDQwNDE5NDM0NloXDTA3MTAwNDE5NTM0Nlow
'' SIG '' dDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0
'' SIG '' b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1p
'' SIG '' Y3Jvc29mdCBDb3Jwb3JhdGlvbjEeMBwGA1UEAxMVTWlj
'' SIG '' cm9zb2Z0IENvcnBvcmF0aW9uMIIBIjANBgkqhkiG9w0B
'' SIG '' AQEFAAOCAQ8AMIIBCgKCAQEAzYGWOK5covLB397Qq5WN
'' SIG '' 1jydH4vDXYYuXfCxcvWrrIhqtdqxInsLyMilS5FeIhPp
'' SIG '' +fUjnbX0bnau7+6kPMfEwFlcP6uzczMmpmKBYXmhYvRu
'' SIG '' iJXQbt3Hn9KkURF2YbpwimWhlhaJp12B0ERm5dtWnkDK
'' SIG '' /Nx2JC5EMADl1n17lRHVWB2j6E8LyYjcotZTmWzKY8qZ
'' SIG '' apqSXkxNEegv01tbXl9So3MtpbuERQ2MGRV2ywjamqZw
'' SIG '' FehN7Gn9XbJrj+0pUTc4i8ZGSRWUUJiw9Gik194JcWd0
'' SIG '' nneMHYVrl+rnX0XM4OZxDdFjAJN7MZiOC7QTvbPQ7vHf
'' SIG '' Ie6pYGHuN0M9wwIDAQABo4IBkjCCAY4wDgYDVR0PAQH/
'' SIG '' BAQDAgbAMB0GA1UdDgQWBBTu2WupdVPNT+4bThkGHqOc
'' SIG '' q8+U/TATBgNVHSUEDDAKBggrBgEFBQcDAzCBqQYDVR0j
'' SIG '' BIGhMIGegBQl+CtLXchyVK3l9qAqFxb7wflTgaF0pHIw
'' SIG '' cDErMCkGA1UECxMiQ29weXJpZ2h0IChjKSAxOTk3IE1p
'' SIG '' Y3Jvc29mdCBDb3JwLjEeMBwGA1UECxMVTWljcm9zb2Z0
'' SIG '' IENvcnBvcmF0aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQg
'' SIG '' Um9vdCBBdXRob3JpdHmCEGoLmU/AAB2rEdrEAqFmJ7ow
'' SIG '' SwYDVR0fBEQwQjBAoD6gPIY6aHR0cDovL2NybC5taWNy
'' SIG '' b3NvZnQuY29tL3BraS9jcmwvcHJvZHVjdHMvQ29kZVNp
'' SIG '' Z25QQ0EyLmNybDBPBggrBgEFBQcBAQRDMEEwPwYIKwYB
'' SIG '' BQUHMAKGM2h0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9w
'' SIG '' a2kvY2VydHMvQ29kZVNpZ25QQ0EyLmNydDANBgkqhkiG
'' SIG '' 9w0BAQUFAAOCAQEAONnvlTibXJgUXVRuad8CyOez+9PC
'' SIG '' Ta0vq39UDdoytvhq5g37IRp3PqVoerSVfopc8kPEg5tl
'' SIG '' fYhQUXyCFPWDc9eivlzKAnDOJmwXvFIUpYnAt+ShzKF1
'' SIG '' nZFxPRvAVgBWtfiEJtpeM/vWJXpemtqm+/TyQRqsVUat
'' SIG '' SNyROBNYCUnx8zGHH7wEjlsSZQPpC1HQoQyKmb3ZwajQ
'' SIG '' CBUlIbW2V4kc0VuGNaXK/aqH7Kk3P7dDa+Mg8UW8fq7p
'' SIG '' 8VWyoUi8Zb5TNNnJ6AZjBAZ4blD/SLub6kNah9utCoD1
'' SIG '' WcUs5OV/W0rlMnnuIoWSDC2zUFvGwkBYWKvSzeMvwc3s
'' SIG '' bZ83eTGCBMcwggTDAgEBMIG1MIGmMQswCQYDVQQGEwJV
'' SIG '' UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
'' SIG '' UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
'' SIG '' cmF0aW9uMSswKQYDVQQLEyJDb3B5cmlnaHQgKGMpIDIw
'' SIG '' MDAgTWljcm9zb2Z0IENvcnAuMSMwIQYDVQQDExpNaWNy
'' SIG '' b3NvZnQgQ29kZSBTaWduaW5nIFBDQQIKYUaeywAEAAAA
'' SIG '' ZTAJBgUrDgMCGgUAoIHEMBkGCSqGSIb3DQEJAzEMBgor
'' SIG '' BgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEE
'' SIG '' AYI3AgEVMCMGCSqGSIb3DQEJBDEWBBQW1g2DZE89sQ8a
'' SIG '' 2/i4mQ2ggun23DBkBgorBgEEAYI3AgEMMVYwVKAsgCoA
'' SIG '' TQBpAGMAcgBvAHMAbwBmAHQAIABDAG8AcgBwAG8AcgBh
'' SIG '' AHQAaQBvAG6hJIAiaHR0cDovL3d3dy5taWNyb3NvZnQu
'' SIG '' Y29tL2xlYXJuaW5nIDANBgkqhkiG9w0BAQEFAASCAQAi
'' SIG '' KmkaYBSrQyZ0WS32OCiVeK/Bc+CQ+R3ngrUPNzH6ZZNi
'' SIG '' SUpcijtws9PX9WCM6dv85HM57EK582gFC+qSokQtVfx2
'' SIG '' 7PnXep4/JF7tWsGcjZcq58GqBTFsHITxpFLJ0oLxn72u
'' SIG '' Hqm+S6MQydASsyaXrDS9I/R3nzEQ665HWT7eJIuQPdGD
'' SIG '' wHFABUcUr++sV5LOVQ8RFB9F3ei7vJUtHC67hllg05+T
'' SIG '' TjOXn0eWg0AAJCX6emjIpJ2Iv5VbSAiuai1T0vFo2QC+
'' SIG '' A9znUCl6WaMiX5C+u/okIKI5oPGjMiMt8zGUFX28OahT
'' SIG '' B+QPLZzIye+Phx5AgSsTY1pFiAMBdosNoYICHzCCAhsG
'' SIG '' CSqGSIb3DQEJBjGCAgwwggIIAgEBMIGHMHkxCzAJBgNV
'' SIG '' BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
'' SIG '' VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
'' SIG '' Q29ycG9yYXRpb24xIzAhBgNVBAMTGk1pY3Jvc29mdCBU
'' SIG '' aW1lc3RhbXBpbmcgUENBAgphR1K6AAAAAAAEMAcGBSsO
'' SIG '' AwIaoF0wGAYJKoZIhvcNAQkDMQsGCSqGSIb3DQEHATAc
'' SIG '' BgkqhkiG9w0BCQUxDxcNMDcwMjIyMjE1MjA2WjAjBgkq
'' SIG '' hkiG9w0BCQQxFgQUovCj6zrvzneBoCEPPx7ofHHgD7gw
'' SIG '' DQYJKoZIhvcNAQEFBQAEggEABRd2jRi/smeIA9jzxDTw
'' SIG '' 8v02YpKCxDXyA1tIxGM7zDZhKynp7iM/ktEOdLJMCIDU
'' SIG '' V0k1If/zpxH2rlgIK5V3cX6SoRquX9kcnjpgNnilMYdx
'' SIG '' F17raGlTrKwJfbOEX/zbN2fmlNVLfvOYY9j1L5U7c+YM
'' SIG '' 4fyE0Ca597htKURakxo7mi6QFQPmkyRQ+/Sm8dsJklX3
'' SIG '' rLwGl+3zXBcV+ebfwBgZv+y0liqpXage8DKRwpKMVE92
'' SIG '' rSQ13GUxDTP3ayNsGQtGF57qUOyHbH/joTra3i2syxrF
'' SIG '' CbQyV+au7zK04wd0SO16IHzXWfRAJT+9qZEfWO2xGBWI
'' SIG '' VYfhxFDpGT+y2Q==
'' SIG '' End signature block
